#define XERR "cron"
#include "cron.ih"

    // by cron1.cc, reload.cc

bool Cron::load(string const &cronFile)
{
    d_cronData = CronData();
    d_cronData.messages(false);

    ifstream in = Exception::factory<ifstream>(cronFile);

    Parser parser(in, d_cronData);
    return parser.parse() == 0;
}
